# UniTAP.dev.modules.dut_tests.dut_default_params.dp_1_4_source_general_tab

class EventIndication(enum.IntEnum):

Describes available events indications for test automation.

Unknown = <EventIndication.Unknown: -1>
AlwaysReady = <EventIndication.AlwaysReady: 0>
EdidRead = <EventIndication.EdidRead: 1>
LinkTrainingEnd = <EventIndication.LinkTrainingEnd: 2>
ActiveVideo = <EventIndication.ActiveVideo: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class MaxSupportedVideoMode(enum.IntEnum):

Describes available video modes for field `max_supported_video_mode`.

T_640x480_60Hz_6BPC = <MaxSupportedVideoMode.T_640x480_60Hz_6BPC: 1>
T_848x480_60Hz_8BPC = <MaxSupportedVideoMode.T_848x480_60Hz_8BPC: 2>
T_1280x720_60Hz_8BPC = <MaxSupportedVideoMode.T_1280x720_60Hz_8BPC: 3>
T_1280x960_60Hz_8BPC = <MaxSupportedVideoMode.T_1280x960_60Hz_8BPC: 4>
T_1920x1080_60Hz_8BPC = <MaxSupportedVideoMode.T_1920x1080_60Hz_8BPC: 5>
T_1920x1440_60Hz_8BPC = <MaxSupportedVideoMode.T_1920x1440_60Hz_8BPC: 6>
T_1920x1080_120Hz_8BPC = <MaxSupportedVideoMode.T_1920x1080_120Hz_8BPC: 7>
T_1280x800_60Hz_RB1_6BPC = <MaxSupportedVideoMode.T_1280x800_60Hz_RB1_6BPC: 8>
T_1280x768_60Hz_RB1_6BPC = <MaxSupportedVideoMode.T_1280x768_60Hz_RB1_6BPC: 9>
T_800x600_60Hz_10BPC = <MaxSupportedVideoMode.T_800x600_60Hz_10BPC: 10>
T_1024x768_60Hz_10BPC = <MaxSupportedVideoMode.T_1024x768_60Hz_10BPC: 11>
T_1280x1024_60Hz_8BPC = <MaxSupportedVideoMode.T_1280x1024_60Hz_8BPC: 12>
T_1360x768_60Hz_10BPC = <MaxSupportedVideoMode.T_1360x768_60Hz_10BPC: 13>
T_1280x800_60Hz_RB1_10BPC = <MaxSupportedVideoMode.T_1280x800_60Hz_RB1_10BPC: 14>
T_1400x1050_60Hz_RB1_8BPC = <MaxSupportedVideoMode.T_1400x1050_60Hz_RB1_8BPC: 15>
T_1280x768_60Hz_RB1_10BPC = <MaxSupportedVideoMode.T_1280x768_60Hz_RB1_10BPC: 16>
T_1600x1200_60Hz_RB1_6BPC = <MaxSupportedVideoMode.T_1600x1200_60Hz_RB1_6BPC: 17>
T_2048x1536_60Hz_RB1_8BPC = <MaxSupportedVideoMode.T_2048x1536_60Hz_RB1_8BPC: 18>
T_1792x1344_60Hz_8BPC = <MaxSupportedVideoMode.T_1792x1344_60Hz_8BPC: 19>
T_1600x1200_60Hz_RB1_10BPC = <MaxSupportedVideoMode.T_1600x1200_60Hz_RB1_10BPC: 20>
T_3840x2160_30Hz_8BPC = <MaxSupportedVideoMode.T_3840x2160_30Hz_8BPC: 21>
T_3840x2160_60Hz_8BPC = <MaxSupportedVideoMode.T_3840x2160_60Hz_8BPC: 22>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PackedTimings1Lane(enum.IntEnum):

Describes available timings for field `packed_timings_1_lane`.

NoneTiming = <PackedTimings1Lane.NoneTiming: 0>
DMT_800x600_60Hz_10BPC = <PackedTimings1Lane.DMT_800x600_60Hz_10BPC: 10>
DMT_1024x768_60Hz_6BPC = <PackedTimings1Lane.DMT_1024x768_60Hz_6BPC: 11>
CVT_1280x800_60Hz_RB1_6BPC = <PackedTimings1Lane.CVT_1280x800_60Hz_RB1_6BPC: 8>
DMT_1280x768_60Hz_RB1_6BPC = <PackedTimings1Lane.DMT_1280x768_60Hz_RB1_6BPC: 9>
CTA_1440x480_60Hz_8BPC = <PackedTimings1Lane.CTA_1440x480_60Hz_8BPC: 23>
CTA_1440x576_50Hz_8BPC = <PackedTimings1Lane.CTA_1440x576_50Hz_8BPC: 24>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PackedTimings2Lane(enum.IntEnum):

Describes available timings for field `packed_timings_2_lane`.

NoneTiming = <PackedTimings2Lane.NoneTiming: 0>
DMT_1280x768_60Hz_10BPC = <PackedTimings2Lane.DMT_1280x768_60Hz_10BPC: 16>
CVT_1280x800_60Hz_10BPC = <PackedTimings2Lane.CVT_1280x800_60Hz_10BPC: 14>
DMT_1280x960_60Hz_8BPC = <PackedTimings2Lane.DMT_1280x960_60Hz_8BPC: 4>
DMT_1280x1024_60Hz_8BPC = <PackedTimings2Lane.DMT_1280x1024_60Hz_8BPC: 12>
DMT_1360x768_60Hz_10BPC = <PackedTimings2Lane.DMT_1360x768_60Hz_10BPC: 13>
DMT_1400x1050_60Hz_RB1_8BPC = <PackedTimings2Lane.DMT_1400x1050_60Hz_RB1_8BPC: 15>
CVT_1600x1200_60Hz_RB1_6BPC = <PackedTimings2Lane.CVT_1600x1200_60Hz_RB1_6BPC: 17>
DMT_1360x768_60Hz_8BPC = <PackedTimings2Lane.DMT_1360x768_60Hz_10BPC: 13>
CVT_1280x800_60Hz_8BPC = <PackedTimings2Lane.CVT_1280x800_60Hz_8BPC: 26>
DMT_1280x768_60Hz_8BPC = <PackedTimings2Lane.DMT_1280x768_60Hz_8BPC: 25>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PackedTimings4Lane(enum.IntEnum):

Describes available timings for field `packed_timings_4_lane`.

NoneTiming = <PackedTimings4Lane.NoneTiming: 0>
DMT_1600x1200_60Hz_10BPC = <PackedTimings4Lane.DMT_1600x1200_60Hz_10BPC: 20>
DMT_1600x1200_60Hz_8BPC = <PackedTimings4Lane.DMT_1600x1200_60Hz_8BPC: 28>
DMT_1792x1344_60Hz_8BPC = <PackedTimings4Lane.DMT_1792x1344_60Hz_8BPC: 19>
CTA_1920x1080_60Hz_10BPC = <PackedTimings4Lane.CTA_1920x1080_60Hz_10BPC: 29>
CTA_1920x1080_60Hz_8BPC = <PackedTimings4Lane.CTA_1920x1080_60Hz_8BPC: 5>
CVT_2048x1536_60Hz_RB1_8BPC = <PackedTimings4Lane.CVT_2048x1536_60Hz_RB1_8BPC: 18>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class Rbb1Lane(enum.IntEnum):

Describes available timings for field `rbb_1l`.

NoneTiming = <Rbb1Lane.NoneTiming: 0>
T_640x480_60Hz_6BPC = <Rbb1Lane.T_640x480_60Hz_6BPC: 1>
T_848x480_60Hz_8BPC = <Rbb1Lane.T_848x480_60Hz_8BPC: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class Rbb2Lane(enum.IntEnum):

Describes available timings for field `rbb_2l`.

NoneTiming = <Rbb2Lane.NoneTiming: 0>
T_640x480_60Hz_6BPC = <Rbb2Lane.T_640x480_60Hz_6BPC: 1>
T_848x480_60Hz_8BPC = <Rbb2Lane.T_848x480_60Hz_8BPC: 2>
T_1280x720_60Hz_8BPC = <Rbb2Lane.T_1280x720_60Hz_8BPC: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class Rbb4Lane(enum.IntEnum):

Describes available timings for field `rbb_4l`.

NoneTiming = <Rbb4Lane.NoneTiming: 0>
T_640x480_60Hz_6BPC = <Rbb4Lane.T_640x480_60Hz_6BPC: 1>
T_848x480_60Hz_8BPC = <Rbb4Lane.T_848x480_60Hz_8BPC: 2>
T_1280x720_60Hz_8BPC = <Rbb4Lane.T_1280x720_60Hz_8BPC: 3>
T_1280x960_60Hz_8BPC = <Rbb4Lane.T_1280x960_60Hz_8BPC: 4>
T_1920_1080_60Hz_8BPC = <Rbb4Lane.T_1920_1080_60Hz_8BPC: 5>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class Hbr1Lane(enum.IntEnum):

Describes available timings for field `hbr_1l`.

NoneTiming = <Hbr1Lane.NoneTiming: 0>
T_640x480_60Hz_6BPC = <Hbr1Lane.T_640x480_60Hz_6BPC: 1>
T_848x480_60Hz_8BPC = <Hbr1Lane.T_848x480_60Hz_8BPC: 2>
T_1280x720_60Hz_8BPC = <Hbr1Lane.T_1280x720_60Hz_8BPC: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class Hbr2Lane(enum.IntEnum):

Describes available timings for field `hbr_2l`.

NoneTiming = <Hbr2Lane.NoneTiming: 0>
T_640x480_60Hz_6BPC = <Hbr2Lane.T_640x480_60Hz_6BPC: 1>
T_848x480_60Hz_8BPC = <Hbr2Lane.T_848x480_60Hz_8BPC: 2>
T_1280x720_60Hz_8BPC = <Hbr2Lane.T_1280x720_60Hz_8BPC: 3>
T_1280x960_60Hz_8BPC = <Hbr2Lane.T_1280x960_60Hz_8BPC: 4>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class Hbr4Lane(enum.IntEnum):

Describes available timings for field `hbr_4l`.

NoneTiming = <Hbr4Lane.NoneTiming: 0>
T_640x480_60Hz_6BPC = <Hbr4Lane.T_640x480_60Hz_6BPC: 1>
T_848x480_60Hz_8BPC = <Hbr4Lane.T_848x480_60Hz_8BPC: 2>
T_1280x720_60Hz_8BPC = <Hbr4Lane.T_1280x720_60Hz_8BPC: 3>
T_1280x960_60Hz_8BPC = <Hbr4Lane.T_1280x960_60Hz_8BPC: 4>
T_1920_1080_60Hz_8BPC = <Hbr4Lane.T_1920_1080_60Hz_8BPC: 5>
T_1920_1440_60Hz_8BPC = <Hbr4Lane.T_1920_1440_60Hz_8BPC: 6>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class Hbr2_1Lane(enum.IntEnum):

Describes available timings for field `hbr2_1l`.

NoneTiming = <Hbr2_1Lane.NoneTiming: 0>
T_640x480_60Hz_6BPC = <Hbr2_1Lane.T_640x480_60Hz_6BPC: 1>
T_848x480_60Hz_8BPC = <Hbr2_1Lane.T_848x480_60Hz_8BPC: 2>
T_1280x720_60Hz_8BPC = <Hbr2_1Lane.T_1280x720_60Hz_8BPC: 3>
T_1280x960_60Hz_8BPC = <Hbr2_1Lane.T_1280x960_60Hz_8BPC: 4>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class Hbr2_2Lane(enum.IntEnum):

Describes available timings for field `hbr2_2l`.

NoneTiming = <Hbr2_2Lane.NoneTiming: 0>
T_640x480_60Hz_6BPC = <Hbr2_2Lane.T_640x480_60Hz_6BPC: 1>
T_848x480_60Hz_8BPC = <Hbr2_2Lane.T_848x480_60Hz_8BPC: 2>
T_1280x720_60Hz_8BPC = <Hbr2_2Lane.T_1280x720_60Hz_8BPC: 3>
T_1280x960_60Hz_8BPC = <Hbr2_2Lane.T_1280x960_60Hz_8BPC: 4>
T_1920_1080_60Hz_8BPC = <Hbr2_2Lane.T_1920_1080_60Hz_8BPC: 5>
T_1920_1440_60Hz_8BPC = <Hbr2_2Lane.T_1920_1440_60Hz_8BPC: 6>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class Hbr2_4Lane(enum.IntEnum):

Describes available timings for field `hbr2_4l`.

NoneTiming = <Hbr2_4Lane.NoneTiming: 0>
T_640x480_60Hz_6BPC = <Hbr2_4Lane.T_640x480_60Hz_6BPC: 1>
T_848x480_60Hz_8BPC = <Hbr2_4Lane.T_848x480_60Hz_8BPC: 2>
T_1280x720_60Hz_8BPC = <Hbr2_4Lane.T_1280x720_60Hz_8BPC: 3>
T_1280x960_60Hz_8BPC = <Hbr2_4Lane.T_1280x960_60Hz_8BPC: 4>
T_1920_1080_60Hz_8BPC = <Hbr2_4Lane.T_1920_1080_60Hz_8BPC: 5>
T_1920_1440_60Hz_8BPC = <Hbr2_4Lane.T_1920_1440_60Hz_8BPC: 6>
T_1920x1080_120Hz_8BPC = <Hbr2_4Lane.T_1920x1080_120Hz_8BPC: 7>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class Hbr3_1Lane(enum.IntEnum):

Describes available timings for field `hbr3_1l`.

NoneTiming = <Hbr3_1Lane.NoneTiming: 0>
T_640x480_60Hz_6BPC = <Hbr3_1Lane.T_640x480_60Hz_6BPC: 1>
T_848x480_60Hz_8BPC = <Hbr3_1Lane.T_848x480_60Hz_8BPC: 2>
T_1280x720_60Hz_8BPC = <Hbr3_1Lane.T_1280x720_60Hz_8BPC: 3>
T_1280x960_60Hz_8BPC = <Hbr3_1Lane.T_1280x960_60Hz_8BPC: 4>
T_1920_1080_60Hz_8BPC = <Hbr3_1Lane.T_1920_1080_60Hz_8BPC: 5>
T_1920_1440_60Hz_8BPC = <Hbr3_1Lane.T_1920_1440_60Hz_8BPC: 6>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class Hbr3_2Lane(enum.IntEnum):

Describes available timings for field `hbr3_2l`.

NoneTiming = <Hbr3_2Lane.NoneTiming: 0>
T_640x480_60Hz_6BPC = <Hbr3_2Lane.T_640x480_60Hz_6BPC: 1>
T_848x480_60Hz_8BPC = <Hbr3_2Lane.T_848x480_60Hz_8BPC: 2>
T_1280x720_60Hz_8BPC = <Hbr3_2Lane.T_1280x720_60Hz_8BPC: 3>
T_1280x960_60Hz_8BPC = <Hbr3_2Lane.T_1280x960_60Hz_8BPC: 4>
T_1920_1080_60Hz_8BPC = <Hbr3_2Lane.T_1920_1080_60Hz_8BPC: 5>
T_1920_1440_60Hz_8BPC = <Hbr3_2Lane.T_1920_1440_60Hz_8BPC: 6>
T_1920x1080_120Hz_8BPC = <Hbr3_2Lane.T_1920x1080_120Hz_8BPC: 7>
T_1280x800_60Hz_RB1_6BPC = <Hbr3_2Lane.T_1280x800_60Hz_RB1_6BPC: 8>
T_1280x768_60Hz_RB1_6BPC = <Hbr3_2Lane.T_1280x768_60Hz_RB1_6BPC: 9>
T_800x600_60Hz_10BPC = <Hbr3_2Lane.T_800x600_60Hz_10BPC: 10>
T_1024x768_60Hz_10BPC = <Hbr3_2Lane.T_1024x768_60Hz_10BPC: 11>
T_1280x1024_60Hz_8BPC = <Hbr3_2Lane.T_1280x1024_60Hz_8BPC: 12>
T_1360x768_60Hz_10BPC = <Hbr3_2Lane.T_1360x768_60Hz_10BPC: 13>
T_1280x800_60Hz_RB1_10BPC = <Hbr3_2Lane.T_1280x800_60Hz_RB1_10BPC: 14>
T_1400x1050_60Hz_RB1_8BPC = <Hbr3_2Lane.T_1400x1050_60Hz_RB1_8BPC: 15>
T_1280x768_60Hz_RB1_10BPC = <Hbr3_2Lane.T_1280x768_60Hz_RB1_10BPC: 16>
T_1600x1200_60Hz_RB1_6BPC = <Hbr3_2Lane.T_1600x1200_60Hz_RB1_6BPC: 17>
T_2048x1536_60Hz_RB1_8BPC = <Hbr3_2Lane.T_2048x1536_60Hz_RB1_8BPC: 18>
T_1792x1344_60Hz_8BPC = <Hbr3_2Lane.T_1792x1344_60Hz_8BPC: 19>
T_1600x1200_60Hz_RB1_10BPC = <Hbr3_2Lane.T_1600x1200_60Hz_RB1_10BPC: 20>
T_3840x2160_30Hz_8BPC = <Hbr3_2Lane.T_3840x2160_30Hz_8BPC: 21>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class Hbr3_4Lane(enum.IntEnum):

Describes available timings for field `hbr3_4l`.

NoneTiming = <Hbr3_4Lane.NoneTiming: 0>
T_640x480_60Hz_6BPC = <Hbr3_4Lane.T_640x480_60Hz_6BPC: 1>
T_848x480_60Hz_8BPC = <Hbr3_4Lane.T_848x480_60Hz_8BPC: 2>
T_1280x720_60Hz_8BPC = <Hbr3_4Lane.T_1280x720_60Hz_8BPC: 3>
T_1280x960_60Hz_8BPC = <Hbr3_4Lane.T_1280x960_60Hz_8BPC: 4>
T_1920_1080_60Hz_8BPC = <Hbr3_4Lane.T_1920_1080_60Hz_8BPC: 5>
T_1920_1440_60Hz_8BPC = <Hbr3_4Lane.T_1920_1440_60Hz_8BPC: 6>
T_1920x1080_120Hz_8BPC = <Hbr3_4Lane.T_1920x1080_120Hz_8BPC: 7>
T_1280x800_60Hz_RB1_6BPC = <Hbr3_4Lane.T_1280x800_60Hz_RB1_6BPC: 8>
T_1280x768_60Hz_RB1_6BPC = <Hbr3_4Lane.T_1280x768_60Hz_RB1_6BPC: 9>
T_800x600_60Hz_10BPC = <Hbr3_4Lane.T_800x600_60Hz_10BPC: 10>
T_1024x768_60Hz_10BPC = <Hbr3_4Lane.T_1024x768_60Hz_10BPC: 11>
T_1280x1024_60Hz_8BPC = <Hbr3_4Lane.T_1280x1024_60Hz_8BPC: 12>
T_1360x768_60Hz_10BPC = <Hbr3_4Lane.T_1360x768_60Hz_10BPC: 13>
T_1280x800_60Hz_RB1_10BPC = <Hbr3_4Lane.T_1280x800_60Hz_RB1_10BPC: 14>
T_1400x1050_60Hz_RB1_8BPC = <Hbr3_4Lane.T_1400x1050_60Hz_RB1_8BPC: 15>
T_1280x768_60Hz_RB1_10BPC = <Hbr3_4Lane.T_1280x768_60Hz_RB1_10BPC: 16>
T_1600x1200_60Hz_RB1_6BPC = <Hbr3_4Lane.T_1600x1200_60Hz_RB1_6BPC: 17>
T_2048x1536_60Hz_RB1_8BPC = <Hbr3_4Lane.T_2048x1536_60Hz_RB1_8BPC: 18>
T_1792x1344_60Hz_8BPC = <Hbr3_4Lane.T_1792x1344_60Hz_8BPC: 19>
T_1600x1200_60Hz_RB1_10BPC = <Hbr3_4Lane.T_1600x1200_60Hz_RB1_10BPC: 20>
T_3840x2160_30Hz_8BPC = <Hbr3_4Lane.T_3840x2160_30Hz_8BPC: 21>
T_3840x2160_60Hz_8BPC = <Hbr3_4Lane.T_3840x2160_60Hz_8BPC: 22>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class TestAutomationFlags:

Class `TestAutomationFlags` allows configuring test automation flags:

- Set and get Test link training flag `test_link_training`.
- Set and get Test EDID read flag `test_edid_read`.
- Set and get Test video pattern flag `test_video_pattern`.
- Set and get Test audio pattern flag `test_audio_pattern`.
- Set and get Test Event indication `event_indication` type `EventIndication`.

TestAutomationFlags(json_obj)
test_link_training: bool

Set and get link training flag.

###### Returns:

> object of bool type

test_edid_read: bool

Set and get EDID read flag.

###### Returns:

> object of bool type

test_video_pattern: bool

Set and get video pattern flag.

###### Returns:

> object of bool type

test_audio_pattern: bool

Set and get audio pattern flag.

###### Returns:

> object of bool type

event_indication: EventIndication

Set and get link training flag.

###### Returns:

> object of `EventIndication` type

class DutCapsFlags(UniTAP.dev.modules.dut_tests.test_group_params_types.Param):

Class `DutCapsFlags` defines the DUT capabilities as flags and allows setting:

- Voltage swing level 3 (1.2V) supported `voltage_swing_supported`.
- Pre-emphasis level 3 (9.5dB) supported `pre_emphasis_supported`.
- Fixed timing DUT supported `fixed_timing_dut_supported`.
- Spread Spectrum supported `spread_spectrum_supported`.
- Video format change without LT supported `change_vf_without_lt_supported`.
- Lane count reduction without LT supported `lane_count_reduction_without_lt_supported`.
- E-DDC protocol supported `e_ddc_protocol_supported`.
- Audio Info Frame for 2 channel audio transmission supported `audio_transmission_supported`.
- Define that DUT is Type-C device `dut_is_type_c_device`.
- FEC supported `fec_supported`.
- FEC disable sequence supported `fec_disable_sequence_supported`.
- Audio without Video supported `audio_without_video_supported`.
- DSC supported `dsc_supported`.
- DSC block prediction supported `dsc_block_prediction_supported`.
- DisplayID Type VII Detailed Timing Descriptor supported `display_id_vii_supported`.
- DisplayID Type VIII Detailed Timing Descriptor supported `display_id_viii_supported`.
- DisplayID Type IX Detailed Timing Descriptor supported `display_id_ix_supported`.
- DisplayID Type X Detailed Timing Descriptor supported `display_id_x_supported`.
- 2x1 tiled display and DisplayID Tiled Display Topology data block supported `display_id_tiled_display_topology`.
- Field sequential stereo and DisplayID Tiled Stereo Display Interface data block supported `display_id_tiled_stereo_display`
- Stacked frame stereo and DisplayID Tiled Stereo Display Interface data block supported `stacked_frame_stereo_supported`.

DutCapsFlags(json_obj)
voltage_swing_supported: bool

Set and get Voltage swing level flag support.

###### Returns:

> object of bool type

pre_emphasis_supported: bool

Set and get Pre-emphasis level flag support.

###### Returns:

> object of bool type

fixed_timing_dut_supported: bool

Set and get Fixed timing DUT flag support.

###### Returns:

> object of bool type

spread_spectrum_supported: bool

Set and get Spread Spectrum flag support.

###### Returns:

> object of bool type

change_vf_without_lt_supported: bool

Set and get Video format change without LT flag support.

###### Returns:

> object of bool type

lane_count_reduction_without_lt_supported: bool

Set and get Lane count reduction without LT flag support.

###### Returns:

> object of bool type

e_ddc_protocol_supported: bool

Set and get E-DDC protocol flag support.

###### Returns:

> object of bool type

audio_transmission_supported: bool

Set and get Audio Info Frame for 2 channel audio transmission flag support.

###### Returns:

> object of bool type

dut_is_type_c_device: bool

Set and get Define that DUT is Type-C device flag support.

###### Returns:

> object of bool type

fec_supported: bool

Set and get FEC flag support.

###### Returns:

> object of bool type

fec_disable_sequence_supported: bool

Set and get FEC disable sequence flag support.

###### Returns:

> object of bool type

audio_without_video_supported: bool

Set and get Audio without Video flag support.

###### Returns:

> object of bool type

dsc_supported: bool

Set and get DSC flag support.

###### Returns:

> object of bool type

dsc_block_prediction_supported: bool

Set and get DSC block prediction flag support.

###### Returns:

> object of bool type

native_display_id_read: bool

Set and get DUT supports native Display ID read flag support.

###### Returns:

> object of bool type

display_id_vii_supported: bool

Set and get DisplayID Type VII Detailed Timing Descriptor flag support.

###### Returns:

> object of bool type

display_id_viii_supported: bool

Set and get DisplayID Type VIII Detailed Timing Descriptor flag support.

###### Returns:

> object of bool type

display_id_ix_supported: bool

Set and get DisplayID Type IX Detailed Timing Descriptor flag support.

###### Returns:

> object of bool type

display_id_x_supported: bool

Set and get DisplayID Type X Detailed Timing Descriptor flag support.

###### Returns:

> object of bool type

display_id_tiled_display_topology: bool

Set and get 2x1 tiled display and DisplayID Tiled Display Topology data block flag support.

###### Returns:

> object of bool type

display_id_tiled_stereo_display: bool

Set and get Field sequential stereo and DisplayID Tiled Stereo Display Interface data block flag support.

###### Returns:

> object of bool type

stacked_frame_stereo_supported: bool

Set and get Stacked frame stereo and DisplayID Tiled Stereo Display Interface data flag support.

###### Returns:

> object of bool type

def clear_all_caps(self):

Clear all settings.

##### Inherited Members

UniTAP.dev.modules.dut_tests.test_group_params_types.Param
  clear
  direct_set_def_value
  default_value
  min_value
  max_value
  config_id
  config_id_name
  name
  value_type
  enumeration_variants
  bit_field_list
  data_length

class DutCapsDp14:

Class `DutCapsDp14` defines the DUT capabilities and allows setting:

- Defines the maximum number of lanes supported by the DUT `max_lanes`.
- Maximum link rate supported by the DUT `max_link_rate`.
- Dut capabilities flags `dut_caps_flags` type `DutCapsFlags`.

DutCapsDp14(json_obj)
max_lanes: int

Set and get number of maximum lanes.

###### Returns:

> object of int type

max_link_rate

Set and get number of maximum link rate.

###### Returns:

> object of int type

dut_caps_flags: DutCapsFlags

Set and get DUT capabilities flags.

###### Returns:

> object of `DutCapsFlags` type

class TimeStampGenerationDp14:

Class `TimeStampGenerationDp14` defines timings which used for different rates and allows setting:

- Video timings used for Reduced Bitrate (RBR, 1.62Gbps) testing for 1 lanes `rbb_1l`.
- Video timings used for Reduced Bitrate (RBR, 1.62Gbps) testing for 2 lanes `rbb_2l`.
- Video timings used for Reduced Bitrate (RBR, 1.62Gbps) testing for 4 lanes `rbb_4l`.
- Video timings used for High Bitrate (HBR, 2.7Gbps) testing for 1 lanes `hbr_1l`.
- Video timings used for High Bitrate (HBR, 2.7Gbps) testing for 2 lanes `hbr_2l`.
- Video timings used for High Bitrate (HBR, 2.7Gbps) testing for 4 lanes `hbr_4l`.
- Video timings used for High Bitrate-2 (HBR2, 5.4Gbps) testing for 1 lane `hbr2_1l`.
- Video timings used for High Bitrate-2 (HBR2, 5.4Gbps) testing for 2 lane `hbr2_2l`.
- Video timings used for High Bitrate-2 (HBR2, 5.4Gbps) testing for 4 lane `hbr2_4l`.
- Video timings used for High Bitrate-3 (HBR3, 8.1Gbps) testing for 1 lanes `hbr3_1l`.
- Video timings used for High Bitrate-3 (HBR3, 8.1Gbps) testing for 2 lanes `hbr3_2l`.
- Video timings used for High Bitrate-3 (HBR3, 8.1Gbps) testing for 4 lanes `hbr3_4l`.

TimeStampGenerationDp14(json_obj)
rbb_1l

Set and get Video timings used for Reduced Bitrate (RBR, 1.62Gbps) testing for 1 lanes.

###### Returns:

> object of `Rbb1Lane` type

rbb_2l

Set and get Video timings used for Reduced Bitrate (RBR, 1.62Gbps) testing for 2 lanes.

###### Returns:

> object of `Rbb2Lane` type

rbb_4l

Set and get Video timings used for Reduced Bitrate (RBR, 1.62Gbps) testing for 4 lanes.

###### Returns:

> object of `Rbb4Lane` type

hbr_1l

Set and get Video timings used for High Bitrate (HBR, 2.7Gbps) testing for 1 lanes.

###### Returns:

> object of `Hbr1Lane` type

hbr_2l

Set and get Video timings used for High Bitrate (HBR, 2.7Gbps) testing for 2 lanes.

###### Returns:

> object of `Hbr2Lane` type

hbr_4l

Set and get Video timings used for High Bitrate (HBR, 2.7Gbps) testing for 4 lanes.

###### Returns:

> object of `Hbr4Lane` type

hbr2_1l

Set and get Video timings used for High Bitrate-2 (HBR2, 5.4Gbps) testing for 1 lane.

###### Returns:

> object of `Hbr2_1Lane` type

hbr2_2l

Set and get Video timings used for High Bitrate-2 (HBR2, 5.4Gbps) testing for 2 lane.

###### Returns:

> object of `Hbr2_2Lane` type

hbr2_4l

Set and get Video timings used for High Bitrate-2 (HBR2, 5.4Gbps) testing for 4 lane.

###### Returns:

> object of `Hbr2_4Lane` type

hbr3_1l

Set and get Video timings used for High Bitrate-3 (HBR3, 8.1Gbps) testing for 1 lanes.

###### Returns:

> object of `Hbr3_1Lane` type

hbr3_2l

Set and get Video timings used for High Bitrate-3 (HBR3, 8.1Gbps) testing for 2 lanes.

###### Returns:

> object of `Hbr3_2Lane` type

hbr3_4l

Set and get Video timings used for High Bitrate-3 (HBR3, 8.1Gbps) testing for 4 lanes.

###### Returns:

> object of `Hbr3_4Lane` type

class ColorimetryDp14:

Class `ColorimetryDp14` describes optional and additional color modes to be used with DP CTS tests.

- RGB 6 bpc VESA and RGB 8 bpc VESA - Mandatory.
- RGB 10 bpc VESA `rgb_10bpc_vesa`.
- RGB 8 bpc CTA `rgb_8bpc_cta`.
- RGB 10 bpc CTA `rgb_10bpc_cta`.
- YCbCr-422 8 bpc CTA ITU-601 `ycbcr422_8bpc_cta_itu601`.
- YCbCr-422 10 bpc CTA ITU-601 `ycbcr422_10bpc_cta_itu601`.
- YCbCr-422 8 bpc CTA ITU-709 `ycbcr422_8bpc_cta_itu709`.
- YCbCr-422 10 bpc CTA ITU-709 `ycbcr422_10bpc_cta_itu709`.
- YCbCr-420 8 bpc CTA ITU-601 `ycbcr420_8bpc_cta_itu601`.
- YCbCr-420 10 bpc CTA ITU-601 `ycbcr420_10bpc_cta_itu601`.
- YCbCr-420 8 bpc CTA ITU-709 `ycbcr420_8bpc_cta_itu709`.
- YCbCr-420 10 bpc CTA ITU-709 `ycbcr420_10bpc_cta_itu709`.
- YCbCr-444 8 bpc CTA ITU-601 `ycbcr444_8bpc_cta_itu601`.
- YCbCr-444 10 bpc CTA ITU-601 `ycbcr444_10bpc_cta_itu601`.
- YCbCr-444 8 bpc CTA ITU-709 `ycbcr444_8bpc_cta_itu709`.
- YCbCr-444 10 bpc CTA ITU-709 `ycbcr444_10bpc_cta_itu709`.

ColorimetryDp14(json_obj)
rgb_10bpc_vesa: bool

Set and get RGB 10 bpc VESA flag support.

###### Returns:

> object of bool type

rgb_8bpc_cta: bool

Set and get RGB 8 bpc CTA flag support.

###### Returns:

> object of bool type

rgb_10bpc_cta: bool

Set and get RGB 10 bpc CTA flag support.

###### Returns:

> object of bool type

ycbcr422_8bpc_cta_itu601: bool

Set and get YCbCr-422 8 bpc CTA ITU-601 flag support.

###### Returns:

> object of bool type

ycbcr422_10bpc_cta_itu601: bool

Set and get YCbCr-422 10 bpc CTA ITU-601 flag support.

###### Returns:

> object of bool type

ycbcr422_8bpc_cta_itu709: bool

Set and get YCbCr-422 8 bpc CTA ITU-709 flag support.

###### Returns:

> object of bool type

ycbcr422_10bpc_cta_itu709: bool

Set and get YCbCr-422 10 bpc CTA ITU-709 flag support.

###### Returns:

> object of bool type

ycbcr444_8bpc_cta_itu601: bool

Set and get YCbCr-444 8 bpc CTA ITU-601 flag support.

###### Returns:

> object of bool type

ycbcr444_10bpc_cta_itu601: bool

Set and get YCbCr-444 10 bpc CTA ITU-601 flag support.

###### Returns:

> object of bool type

ycbcr444_8bpc_cta_itu709: bool

Set and get YCbCr-444 8 bpc CTA ITU-709 flag support.

###### Returns:

> object of bool type

ycbcr444_10bpc_cta_itu709: bool

Set and get YCbCr-444 10 bpc CTA ITU-709 flag support.

###### Returns:

> object of bool type

def clear_all(self):

Clear all settings.

def select_all(self):

Select all modes.

class DebugOptions:
DebugOptions(json_obj)
continue_on_fail: bool

Set and get continue on fail flag.

###### Returns:

> object of bool type

class GeneralSourceDUTDp14SettingTab:

Class `GeneralSourceDUTDp14SettingTab` allows working with parameters from General source part.

- Set and get timeout `timeout`.
- Set and get DUT capabilities `dut_caps` type `DutCapsDp14`.
- Set and get test automation flags `test_automation` type `TestAutomationFlags`.
- Set and get HPD pulse duration `hpd_pulse_duration`.
- Set and get link training start timeout `lt_start_timeout`.
- Set and get test cycle delay `test_cycle_delay`.
- Get fail safe mode `fail_safe_mode`.
- Set and get maximum supported video modes `max_supported_video_mode` type `MaxSupportedVideoMode`.
- Set and get packed timings for 1 lane `packed_timings_1_lane` type `PackedTimings1Lane`.
- Set and get packed timings for 2 lane `packed_timings_2_lane` type `PackedTimings2Lane`.
- Set and get packed timings for 4 lane `packed_timings_4_lane` type `PackedTimings4Lane`.
- Set and get time stamp generation `time_stamp_generation` type `TimeStampGenerationDp14`.
- Set and get colorimetry modes `colorimetry` type `ColorimetryDp14`.
- Set and get debug options `debug_options` type `DebugOptions`

GeneralSourceDUTDp14SettingTab(json_obj)
timeout: int

Set and get test timeout, in milliseconds.

###### Returns:

> object of int type

dut_caps

Set and get DUT caps.

###### Returns:

> object DutCapsDp14

test_automation: TestAutomationFlags

Set and get test automation flags.

###### Returns:

> object TestAutomationFlags

hpd_pulse_duration: int

Set and get HPD pulse duration.

###### Returns:

> object of int type

lt_start_timeout: int

Set and get link training start timeout.

###### Returns:

> object of int type

test_cycle_delay: int

Set and get test cycle delay.

###### Returns:

> object of int type

fail_safe_mode

Get fail safe mode.

###### Returns:

> object of int type

max_supported_video_mode

Set and get maximum supported video modes.

###### Returns:

> object MaxSupportedVideoMode

packed_timings_1_lane

Set and get packed timings for 1 lane.

###### Returns:

> object PackedTimings1Lane

packed_timings_2_lane

Set and get packed timings for 2 lane.

###### Returns:

> object PackedTimings2Lane

packed_timings_4_lane

Set and get packed timings for 4 lane.

###### Returns:

> object PackedTimings4Lane

time_stamp_generation

Set and get time stamp generation.

###### Returns:

> object TimeStampGenerationDp14

colorimetry: ColorimetryDp14

Set and get colorimetry modes.

###### Returns:

> object ColorimetryDp14

debug_options: DebugOptions

Set and get debug options.

###### Returns:

> object of 'DebugOptions' type